* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

:root {
  --base-multiple: 10px;
}

html {
  font-size: var(--base-multiple);
}

body {
  font-family: sans-serif;
  color: #333;
  margin: 0;
  padding: 0;
}

ul {
  margin-left: 1.3em;
  list-style-position: outside;
}

ul ul {
  margin-left: 0.5em;
}

ul li {
  margin-bottom: 0.5em;
  margin-top: 0.5em;
}

a {
  color: inherit;
}

/* Disable format width SVG with link */
.elementor-widget-image a img[src$=".svg"] {
  width: inherit !important;
}

/* Animation button */

.AnimateButton line {
  opacity: 0;
  stroke-dasharray: 100;
  stroke-dashoffset: 100;
  transition: stroke-dashoffset 0.2s ease, opacity 0.2s ease;
}

.AnimateButton:hover line {
  opacity: 1;
  stroke-dashoffset: 0;
  transform: translateX(2px);
}

.AnimateButton path {
  transition: transform 0.3s ease;
}

.AnimateButton:hover path {
  transform: translateX(2px);
}

.AnimateButton svg {
  width: 25px !important;
}

.AnimateButton .elementor-button-text {
  display: flex;
  align-items: center;
}

/* Gravity Look */

.gform_heading {
  display: none !important;
}

.obtenirMediwayForm input,
.obtenirMediwayForm textarea {
  border-radius: var(--card, 12px) !important;
  border: 1px solid var(--Alias-border-default, #D5DAE2) !important;
  box-shadow: none !important;
}

.obtenirMediwayForm .gform-field-label {
  font-family: var(--font-family-Text, Inter);
  font-size: var(--font-size-body, 16px);
  font-style: normal;
  font-weight: 500;
  line-height: 140%;
}

.obtenirMediwayForm .gfield_required_asterisk {
  color: #0C1230 !important;
}

.obtenirMediwayForm #gform_submit_button_1,
.obtenirMediwayForm #gform_submit_button_2 {
  border-radius: var(--button, 8px) !important;
  background: var(--Alias-surface-button-primary, #0C1230);
  display: block !important;
  padding-top: 18px;
  padding-bottom: 18px;
  font-size: var(--font-size-body, 16px);
  font-style: normal;
  font-weight: 500;
}

.obtenirMediwayForm .gform-footer {
  display: flex !important;
  flex-direction: row !important;
  justify-content: center !important;
  margin-top: 48px !important;
}

.obtenirMediwayForm input {
  padding-top: 20px !important;
  padding-bottom: 20px !important;
}

.obtenirMediwayForm label {
  font-size: 16px !important;
}

.gform-theme--framework input[type]:where(:not(.gform-text-input-reset):not([type=hidden])):where(:not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)):focus,
.gform-theme--framework textarea:where(:not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)):focus {
  outline: none !important;
  border: #0C1230 1px solid !important;
}

/* Selector WPML */
.custom-lang-switcher {
  position: relative;
  display: inline-block;
  font-family: inherit;
}

.custom-lang-switcher__toggle {
  display: inline-flex;
  align-items: center;
  gap: 6px;
  padding: 10px;
  background: transparent;
  border: none;
  cursor: pointer;
  color: var(--Alias-text-title, #0C1230);

  /* Desktop/Body Medium */
  font-family: var(--font-family-Text, Inter);
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 140%;
  transition: opacity 0.2s ease;
}


.custom-lang-switcher__icon,
.custom-lang-switcher__chevron {
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.custom-lang-switcher__chevron {
  transition: transform 0.2s ease;
}

.custom-lang-switcher__menu {
  position: absolute;
  top: 100%;
  left: 0;
  min-width: 100%;
  margin: 0;
  padding: 8px 0 0 0;
  list-style: none;
  z-index: 999;

  opacity: 0;
  visibility: hidden;
  transform: translateY(5px);
  transition: opacity 0.2s ease, transform 0.2s ease, visibility 0.2s ease;
  pointer-events: none;
}

.custom-lang-switcher__menu-inner {
  background: #fff;
  border: 1px solid #e3e3e3;
  border-radius: 12px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.08);
  padding: 0;
  overflow: hidden;
}

@media (hover: hover) {
  .custom-lang-switcher:hover .custom-lang-switcher__menu {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
    pointer-events: auto;
  }

  .custom-lang-switcher:hover .custom-lang-switcher__chevron {
    transform: rotate(180deg);
  }
}

.custom-lang-switcher.is-open .custom-lang-switcher__menu {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
  pointer-events: auto;
}

.custom-lang-switcher.is-open .custom-lang-switcher__chevron {
  transform: rotate(180deg);
}

.custom-lang-switcher__menu li {
  margin: 0;
  border-radius: 12px;
  list-style: none;
}

.custom-lang-switcher__menu li a {
  display: block;
  padding: 10px 14px;
  text-decoration: none;
  color: #1d2340;
  font-size: 16px;
}

.custom-lang-switcher__menu li a:hover,
.custom-lang-switcher__menu li.is-active a {
  background: #F6F7F9;
}